Tonyu.klass.define({
  fullName: 'user.Enemy',
  shortName: 'Enemy',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.BodyActor,
  includes: [],
  methods: {
    main :function _trc_Enemy_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=1000020;//user.Enemy:20
      _this.radius=16;
      //$LASTPOS=1000031;//user.Enemy:31
      _this.p=Tonyu.globals.$pat_ahoge26+2;
      //$LASTPOS=1000049;//user.Enemy:49
      while (true) {
        Tonyu.checkLoop();
        //$LASTPOS=1000093;//user.Enemy:93
        if (_this.screenOut()) {
          //$LASTPOS=1000110;//user.Enemy:110
          _this.die();
        }
        //$LASTPOS=1000121;//user.Enemy:121
        _this.update();
        
      }
    },
    fiber$main :function _trc_Enemy_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=1000020;//user.Enemy:20
      _this.radius=16;
      //$LASTPOS=1000031;//user.Enemy:31
      _this.p=Tonyu.globals.$pat_ahoge26+2;
      
      _thread.enter(function _trc_Enemy_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=1000049;//user.Enemy:49
          case 1:
            //$LASTPOS=1000093;//user.Enemy:93
            if (_this.screenOut()) {
              //$LASTPOS=1000110;//user.Enemy:110
              _this.die();
            }
            //$LASTPOS=1000121;//user.Enemy:121
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
            __pc=1;break;
          case 3     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Floor',
  shortName: 'Floor',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.BodyActor,
  includes: [],
  methods: {
    main :function _trc_Floor_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=2000020;//user.Floor:20
      _this.width=200;
      //$LASTPOS=2000031;//user.Floor:31
      _this.height=10;
      //$LASTPOS=2000042;//user.Floor:42
      _this.fillStyle="white";
      //$LASTPOS=2000061;//user.Floor:61
      _this.isStatic=true;
    },
    fiber$main :function _trc_Floor_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=2000020;//user.Floor:20
      _this.width=200;
      //$LASTPOS=2000031;//user.Floor:31
      _this.height=10;
      //$LASTPOS=2000042;//user.Floor:42
      _this.fillStyle="white";
      //$LASTPOS=2000061;//user.Floor:61
      _this.isStatic=true;
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Iheki',
  shortName: 'Iheki',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Panel,
  includes: [],
  methods: {
    main :function _trc_Iheki_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=11000016;//user.Iheki:16
      _this.resize(465,200);
      //$LASTPOS=11000033;//user.Iheki:33
      //$LASTPOS=11000037;//user.Iheki:37
      _this.i=0;for (; _this.i<465 ; _this.i++) {
        Tonyu.checkLoop();
        {
          //$LASTPOS=11000058;//user.Iheki:58
          _this.yy=100+_this.sin(_this.i*5)*20;
          //$LASTPOS=11000082;//user.Iheki:82
          _this.fillStyle=Tonyu.globals.$ihc2;
          //$LASTPOS=11000103;//user.Iheki:103
          _this.fillRect(_this.i,_this.yy,5,200);
          //$LASTPOS=11000133;//user.Iheki:133
          _this.fillStyle=Tonyu.globals.$ihc3;
          //$LASTPOS=11000154;//user.Iheki:154
          _this.fillRect(_this.i,_this.yy,5,5);
          //$LASTPOS=11000182;//user.Iheki:182
          if (_this.i%30==0) {
            //$LASTPOS=11000195;//user.Iheki:195
            _this.update();
          }
        }
      }
      //$LASTPOS=11000208;//user.Iheki:208
      _this.t=0;
      //$LASTPOS=11000213;//user.Iheki:213
      _this.by=_this.y;
      //$LASTPOS=11000219;//user.Iheki:219
      while (true) {
        Tonyu.checkLoop();
        //$LASTPOS=11000237;//user.Iheki:237
        _this.y=_this.by+_this.sin(_this.t*6)*3*(_this.rotation>90?- 1:1);
        //$LASTPOS=11000278;//user.Iheki:278
        _this.t++;
        //$LASTPOS=11000287;//user.Iheki:287
        _this.update();
        
      }
    },
    fiber$main :function _trc_Iheki_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      _thread.enter(function _trc_Iheki_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=11000016;//user.Iheki:16
            _this.fiber$resize(_thread, 465, 200);
            __pc=1;return;
          case 1:
            
            //$LASTPOS=11000033;//user.Iheki:33
            //$LASTPOS=11000037;//user.Iheki:37
            _this.i=0;
          case 2:
            if (!(_this.i<465)) { __pc=6     ; break; }
            //$LASTPOS=11000058;//user.Iheki:58
            _this.yy=100+_this.sin(_this.i*5)*20;
            //$LASTPOS=11000082;//user.Iheki:82
            _this.fillStyle=Tonyu.globals.$ihc2;
            //$LASTPOS=11000103;//user.Iheki:103
            _this.fillRect(_this.i,_this.yy,5,200);
            //$LASTPOS=11000133;//user.Iheki:133
            _this.fillStyle=Tonyu.globals.$ihc3;
            //$LASTPOS=11000154;//user.Iheki:154
            _this.fillRect(_this.i,_this.yy,5,5);
            //$LASTPOS=11000182;//user.Iheki:182
            if (!(_this.i%30==0)) { __pc=4     ; break; }
            //$LASTPOS=11000195;//user.Iheki:195
            _this.fiber$update(_thread);
            __pc=3;return;
          case 3:
            
          case 4     :
            
          case 5     :
            _this.i++;
            __pc=2;break;
          case 6     :
            
            //$LASTPOS=11000208;//user.Iheki:208
            _this.t=0;
            //$LASTPOS=11000213;//user.Iheki:213
            _this.by=_this.y;
            //$LASTPOS=11000219;//user.Iheki:219
          case 7:
            //$LASTPOS=11000237;//user.Iheki:237
            _this.y=_this.by+_this.sin(_this.t*6)*3*(_this.rotation>90?- 1:1);
            //$LASTPOS=11000278;//user.Iheki:278
            _this.t++;
            //$LASTPOS=11000287;//user.Iheki:287
            _this.fiber$update(_thread);
            __pc=8;return;
          case 8:
            
            __pc=7;break;
          case 9     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"i":{},"yy":{},"t":{},"by":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Main_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=3000000;//user.Main:0
      new Tonyu.classes.kernel.T2World({gravity: 6});
      //$LASTPOS=3000033;//user.Main:33
      Tonyu.globals.$score=0;
      //$LASTPOS=3000043;//user.Main:43
      Tonyu.globals.$time=0;
      //$LASTPOS=3000052;//user.Main:52
      Tonyu.globals.$frames=0;
      //$LASTPOS=3000063;//user.Main:63
      Tonyu.globals.$Screen.setBGColor(Tonyu.globals.$ihc1);
      //$LASTPOS=3000090;//user.Main:90
      new Tonyu.classes.user.Iheki({y: 430,x: 465/2});
      //$LASTPOS=3000116;//user.Main:116
      new Tonyu.classes.user.Iheki({y: 20,x: 465/2,rotation: 180});
      //$LASTPOS=3000154;//user.Main:154
      new Tonyu.classes.kernel.Label({template: "スコア $score  時間 $time",x: 200,y: 50,size: 20});
      //$LASTPOS=3000219;//user.Main:219
      Tonyu.globals.$state="play";
      //$LASTPOS=3000234;//user.Main:234
      Tonyu.globals.$hx=400;
      //$LASTPOS=3000242;//user.Main:242
      Tonyu.globals.$hy=450;
      //$LASTPOS=3000251;//user.Main:251
      if (Tonyu.globals.$opts>0) {
        //$LASTPOS=3000264;//user.Main:264
        new Tonyu.classes.user.Player({x: 100,y: Tonyu.globals.$hy-50});
      }
      //$LASTPOS=3000362;//user.Main:362
      //$LASTPOS=3000367;//user.Main:367
      _this.i=0;for (; _this.i<Tonyu.globals.$nikus ; _this.i++) {
        Tonyu.checkLoop();
        {
          //$LASTPOS=3000391;//user.Main:391
          new Tonyu.classes.user.Niku({x: _this.i*80,y: 100,vx: 1,vy: 0});
        }
      }
      //$LASTPOS=3000663;//user.Main:663
      while (Tonyu.globals.$state=="play") {
        Tonyu.checkLoop();
        //$LASTPOS=3000691;//user.Main:691
        Tonyu.globals.$frames++;
        //$LASTPOS=3000706;//user.Main:706
        Tonyu.globals.$time=_this.floor(Tonyu.globals.$frames/Tonyu.globals.$Boot.getFrameRate());
        //$LASTPOS=3000753;//user.Main:753
        if (_this.all(Tonyu.classes.user.Niku).length==0) {
          //$LASTPOS=3000778;//user.Main:778
          Tonyu.globals.$state="clear";
        }
        //$LASTPOS=3000798;//user.Main:798
        _this.update();
        
      }
      switch (Tonyu.globals.$state) {
      case "gameover":
        //$LASTPOS=3000852;//user.Main:852
        Tonyu.globals.$sound.playBGM(Tonyu.globals.$se_death);
        //$LASTPOS=3000883;//user.Main:883
        new Tonyu.classes.kernel.Label({text: "肉は吸収されてしまいした",x: 230,y: 200,size: 30});
        //$LASTPOS=3000939;//user.Main:939
        Tonyu.globals.$mesg="サラダパワー及ばす肉は吸収されてしまいした";
        break;
        
      case "clear":
        //$LASTPOS=3001003;//user.Main:1003
        Tonyu.globals.$sound.playBGM(Tonyu.globals.$se_fanfare);
        //$LASTPOS=3001036;//user.Main:1036
        Tonyu.globals.$mesg="サラダパワー("+(Tonyu.globals.$opts>5?"すごく":Tonyu.globals.$opts>3?"ふつう":Tonyu.globals.$opts>0?"すこし":"たべない")+")で肉"+Tonyu.globals.$nikus+"個の吸収を阻止した";
        //$LASTPOS=3001133;//user.Main:1133
        new Tonyu.classes.kernel.Label({text: "肉の吸収を阻止した!",x: 230,y: 200,size: 50});
        break;
        
      }
      //$LASTPOS=3001196;//user.Main:1196
      new Tonyu.classes.kernel.Button({text: "Title",top: 300,onClick: Tonyu.bindFunc(_this,_this.goTitle),key: "space"});
      //$LASTPOS=3001284;//user.Main:1284
      new Tonyu.classes.kernel.Button({text: "Tweet",top: 350,onClick: Tonyu.bindFunc(_this,_this.tweet)});
    },
    fiber$main :function _trc_Main_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=3000000;//user.Main:0
      new Tonyu.classes.kernel.T2World({gravity: 6});
      //$LASTPOS=3000033;//user.Main:33
      Tonyu.globals.$score=0;
      //$LASTPOS=3000043;//user.Main:43
      Tonyu.globals.$time=0;
      //$LASTPOS=3000052;//user.Main:52
      Tonyu.globals.$frames=0;
      //$LASTPOS=3000063;//user.Main:63
      Tonyu.globals.$Screen.setBGColor(Tonyu.globals.$ihc1);
      //$LASTPOS=3000090;//user.Main:90
      new Tonyu.classes.user.Iheki({y: 430,x: 465/2});
      //$LASTPOS=3000116;//user.Main:116
      new Tonyu.classes.user.Iheki({y: 20,x: 465/2,rotation: 180});
      //$LASTPOS=3000154;//user.Main:154
      new Tonyu.classes.kernel.Label({template: "スコア $score  時間 $time",x: 200,y: 50,size: 20});
      //$LASTPOS=3000219;//user.Main:219
      Tonyu.globals.$state="play";
      //$LASTPOS=3000234;//user.Main:234
      Tonyu.globals.$hx=400;
      //$LASTPOS=3000242;//user.Main:242
      Tonyu.globals.$hy=450;
      //$LASTPOS=3000251;//user.Main:251
      if (Tonyu.globals.$opts>0) {
        //$LASTPOS=3000264;//user.Main:264
        new Tonyu.classes.user.Player({x: 100,y: Tonyu.globals.$hy-50});
      }
      //$LASTPOS=3000362;//user.Main:362
      //$LASTPOS=3000367;//user.Main:367
      _this.i=0;for (; _this.i<Tonyu.globals.$nikus ; _this.i++) {
        Tonyu.checkLoop();
        {
          //$LASTPOS=3000391;//user.Main:391
          new Tonyu.classes.user.Niku({x: _this.i*80,y: 100,vx: 1,vy: 0});
        }
      }
      
      _thread.enter(function _trc_Main_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=3000663;//user.Main:663
          case 1:
            if (!(Tonyu.globals.$state=="play")) { __pc=3     ; break; }
            //$LASTPOS=3000691;//user.Main:691
            Tonyu.globals.$frames++;
            //$LASTPOS=3000706;//user.Main:706
            Tonyu.globals.$time=_this.floor(Tonyu.globals.$frames/Tonyu.globals.$Boot.getFrameRate());
            //$LASTPOS=3000753;//user.Main:753
            if (_this.all(Tonyu.classes.user.Niku).length==0) {
              //$LASTPOS=3000778;//user.Main:778
              Tonyu.globals.$state="clear";
            }
            //$LASTPOS=3000798;//user.Main:798
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
            __pc=1;break;
          case 3     :
            
            switch (Tonyu.globals.$state) {
            case "gameover":
              __pc=4     ;break;
            case "clear":
              __pc=5     ;break;
            default:
              __pc=6     ;break;
              
            }
            break;
          case 4     :
            //$LASTPOS=3000852;//user.Main:852
            Tonyu.globals.$sound.playBGM(Tonyu.globals.$se_death);
            //$LASTPOS=3000883;//user.Main:883
            new Tonyu.classes.kernel.Label({text: "肉は吸収されてしまいした",x: 230,y: 200,size: 30});
            //$LASTPOS=3000939;//user.Main:939
            Tonyu.globals.$mesg="サラダパワー及ばす肉は吸収されてしまいした";
            __pc=6     ; break;
            
          case 5     :
            //$LASTPOS=3001003;//user.Main:1003
            Tonyu.globals.$sound.playBGM(Tonyu.globals.$se_fanfare);
            //$LASTPOS=3001036;//user.Main:1036
            Tonyu.globals.$mesg="サラダパワー("+(Tonyu.globals.$opts>5?"すごく":Tonyu.globals.$opts>3?"ふつう":Tonyu.globals.$opts>0?"すこし":"たべない")+")で肉"+Tonyu.globals.$nikus+"個の吸収を阻止した";
            //$LASTPOS=3001133;//user.Main:1133
            new Tonyu.classes.kernel.Label({text: "肉の吸収を阻止した!",x: 230,y: 200,size: 50});
            __pc=6     ; break;
            
            case 6     :
            
            //$LASTPOS=3001196;//user.Main:1196
            new Tonyu.classes.kernel.Button({text: "Title",top: 300,onClick: Tonyu.bindFunc(_this,_this.goTitle),key: "space"});
            //$LASTPOS=3001284;//user.Main:1284
            new Tonyu.classes.kernel.Button({text: "Tweet",top: 350,onClick: Tonyu.bindFunc(_this,_this.tweet)});
            _thread.exit(_this);return;
          }
        }
      });
    },
    goTitle :function _trc_Main_goTitle() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=3001365;//user.Main:1365
      new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Title});
    },
    fiber$goTitle :function _trc_Main_f_goTitle(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=3001365;//user.Main:1365
      new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Title});
      
      _thread.retVal=_this;return;
    },
    tweet :function _trc_Main_tweet() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=3001421;//user.Main:1421
      Tonyu.globals.$WebPage.openShareTweet(Tonyu.globals.$mesg,Tonyu.globals.$url,"tonyu2,ahoge");
    },
    fiber$tweet :function _trc_Main_f_tweet(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=3001421;//user.Main:1421
      Tonyu.globals.$WebPage.openShareTweet(Tonyu.globals.$mesg,Tonyu.globals.$url,"tonyu2,ahoge");
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"goTitle":{"nowait":false},"tweet":{"nowait":false}},"fields":{"i":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Niku',
  shortName: 'Niku',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.BodyActor,
  includes: [],
  methods: {
    main :function _trc_Niku_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=4000019;//user.Niku:19
      _this.p=Tonyu.globals.$pat_niku;
      //$LASTPOS=4000062;//user.Niku:62
      _this.radius=_this.scaleX*50;
      //$LASTPOS=4000080;//user.Niku:80
      _this.restitution=1;
      //$LASTPOS=4000095;//user.Niku:95
      _this.vrotation=_this.rnd()*1;
      //$LASTPOS=4000131;//user.Niku:131
      while (true) {
        Tonyu.checkLoop();
        //$LASTPOS=4000148;//user.Niku:148
        if (_this.x<0) {
          //$LASTPOS=4000157;//user.Niku:157
          _this.vx=_this.clamp(_this.abs(_this.vx),1,10);
        }
        //$LASTPOS=4000212;//user.Niku:212
        if (_this.scaleX<=0.3) {
          //$LASTPOS=4000229;//user.Niku:229
          _this.vx+=0.1;
        }
        //$LASTPOS=4000268;//user.Niku:268
        if (_this.x>465) {
          //$LASTPOS=4000289;//user.Niku:289
          Tonyu.globals.$sound.playSE(Tonyu.globals.$se_coin);
          //$LASTPOS=4000322;//user.Niku:322
          new Tonyu.classes.user.OK({x: _this.x,y: _this.y});
          //$LASTPOS=4000343;//user.Niku:343
          _this.die();
          
        }
        //$LASTPOS=4000360;//user.Niku:360
        if (_this.y>Tonyu.globals.$hy) {
          //$LASTPOS=4000381;//user.Niku:381
          while (_this.scaleX>0) {
            Tonyu.checkLoop();
            //$LASTPOS=4000411;//user.Niku:411
            _this.scaleX=_this.clamp(_this.scaleX-0.03,0,100);
            //$LASTPOS=4000482;//user.Niku:482
            _this.vy=0;
            //$LASTPOS=4000500;//user.Niku:500
            _this.vx=0;
            //$LASTPOS=4000518;//user.Niku:518
            _this.update();
            
          }
          //$LASTPOS=4000546;//user.Niku:546
          Tonyu.globals.$state="gameover";
          //$LASTPOS=4000573;//user.Niku:573
          _this.die();
          
        }
        //$LASTPOS=4000590;//user.Niku:590
        _this.update();
        
      }
    },
    fiber$main :function _trc_Niku_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=4000019;//user.Niku:19
      _this.p=Tonyu.globals.$pat_niku;
      //$LASTPOS=4000062;//user.Niku:62
      _this.radius=_this.scaleX*50;
      //$LASTPOS=4000080;//user.Niku:80
      _this.restitution=1;
      //$LASTPOS=4000095;//user.Niku:95
      _this.vrotation=_this.rnd()*1;
      
      _thread.enter(function _trc_Niku_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=4000131;//user.Niku:131
          case 1:
            //$LASTPOS=4000148;//user.Niku:148
            if (_this.x<0) {
              //$LASTPOS=4000157;//user.Niku:157
              _this.vx=_this.clamp(_this.abs(_this.vx),1,10);
            }
            //$LASTPOS=4000212;//user.Niku:212
            if (_this.scaleX<=0.3) {
              //$LASTPOS=4000229;//user.Niku:229
              _this.vx+=0.1;
            }
            //$LASTPOS=4000268;//user.Niku:268
            if (_this.x>465) {
              //$LASTPOS=4000289;//user.Niku:289
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_coin);
              //$LASTPOS=4000322;//user.Niku:322
              new Tonyu.classes.user.OK({x: _this.x,y: _this.y});
              //$LASTPOS=4000343;//user.Niku:343
              _this.die();
              
            }
            //$LASTPOS=4000360;//user.Niku:360
            if (!(_this.y>Tonyu.globals.$hy)) { __pc=5     ; break; }
            //$LASTPOS=4000381;//user.Niku:381
          case 2:
            if (!(_this.scaleX>0)) { __pc=4     ; break; }
            //$LASTPOS=4000411;//user.Niku:411
            _this.scaleX=_this.clamp(_this.scaleX-0.03,0,100);
            //$LASTPOS=4000482;//user.Niku:482
            _this.vy=0;
            //$LASTPOS=4000500;//user.Niku:500
            _this.vx=0;
            //$LASTPOS=4000518;//user.Niku:518
            _this.fiber$update(_thread);
            __pc=3;return;
          case 3:
            
            __pc=2;break;
          case 4     :
            
            //$LASTPOS=4000546;//user.Niku:546
            Tonyu.globals.$state="gameover";
            //$LASTPOS=4000573;//user.Niku:573
            _this.die();
          case 5     :
            
            //$LASTPOS=4000590;//user.Niku:590
            _this.fiber$update(_thread);
            __pc=6;return;
          case 6:
            
            __pc=1;break;
          case 7     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    bun :function _trc_Niku_bun() {
      "use strict";
      var _this=this;
      var vy1;
      var vy2;
      var c;
      
      //$LASTPOS=4000615;//user.Niku:615
      vy1 = _this.rndFloat(- 4,- 3);
      vy2 = _this.rndFloat(- 6,- 5);
      
      //$LASTPOS=4000664;//user.Niku:664
      if (_this.rnd(2)) {
        //$LASTPOS=4000686;//user.Niku:686
        c = vy1;
        
        //$LASTPOS=4000696;//user.Niku:696
        vy1=vy2;
        //$LASTPOS=4000704;//user.Niku:704
        vy2=c;
        
      }
      //$LASTPOS=4000721;//user.Niku:721
      new Tonyu.classes.user.Niku({x: _this.x-_this.radius,y: _this.y,vy: vy1,vx: _this.rndFloat(- 1,- 2),scaleX: _this.scaleX/1.4});
      //$LASTPOS=4000809;//user.Niku:809
      new Tonyu.classes.user.Niku({x: _this.x+_this.radius,y: _this.y,vy: vy2,vx: _this.rndFloat(1,2),scaleX: _this.scaleX/1.4});
      //$LASTPOS=4000895;//user.Niku:895
      Tonyu.globals.$score++;
      //$LASTPOS=4000909;//user.Niku:909
      Tonyu.globals.$sound.playSE(Tonyu.globals.$se_bounce,{rate: 2-_this.scaleX});
      //$LASTPOS=4000956;//user.Niku:956
      _this.die();
    },
    fiber$bun :function _trc_Niku_f_bun(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      var vy1;
      var vy2;
      var c;
      
      //$LASTPOS=4000615;//user.Niku:615
      vy1 = _this.rndFloat(- 4,- 3);
      vy2 = _this.rndFloat(- 6,- 5);
      
      //$LASTPOS=4000664;//user.Niku:664
      if (_this.rnd(2)) {
        //$LASTPOS=4000686;//user.Niku:686
        c = vy1;
        
        //$LASTPOS=4000696;//user.Niku:696
        vy1=vy2;
        //$LASTPOS=4000704;//user.Niku:704
        vy2=c;
        
      }
      //$LASTPOS=4000721;//user.Niku:721
      new Tonyu.classes.user.Niku({x: _this.x-_this.radius,y: _this.y,vy: vy1,vx: _this.rndFloat(- 1,- 2),scaleX: _this.scaleX/1.4});
      //$LASTPOS=4000809;//user.Niku:809
      new Tonyu.classes.user.Niku({x: _this.x+_this.radius,y: _this.y,vy: vy2,vx: _this.rndFloat(1,2),scaleX: _this.scaleX/1.4});
      //$LASTPOS=4000895;//user.Niku:895
      Tonyu.globals.$score++;
      //$LASTPOS=4000909;//user.Niku:909
      Tonyu.globals.$sound.playSE(Tonyu.globals.$se_bounce,{rate: 2-_this.scaleX});
      //$LASTPOS=4000956;//user.Niku:956
      _this.die();
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"bun":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.OK',
  shortName: 'OK',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_OK_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=12000001;//user.OK:1
      _this.fillStyle="white";
      //$LASTPOS=12000020;//user.OK:20
      _this.text="OK!";
      //$LASTPOS=12000032;//user.OK:32
      _this.size=20;
      //$LASTPOS=12000041;//user.OK:41
      _this.vx=- 5;
      //$LASTPOS=12000048;//user.OK:48
      while (_this.vx<0) {
        Tonyu.checkLoop();
        //$LASTPOS=12000066;//user.OK:66
        _this.x+=_this.vx;
        //$LASTPOS=12000077;//user.OK:77
        _this.vx+=0.1;
        //$LASTPOS=12000090;//user.OK:90
        _this.update();
        
      }
      //$LASTPOS=12000102;//user.OK:102
      _this.die();
    },
    fiber$main :function _trc_OK_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=12000001;//user.OK:1
      _this.fillStyle="white";
      //$LASTPOS=12000020;//user.OK:20
      _this.text="OK!";
      //$LASTPOS=12000032;//user.OK:32
      _this.size=20;
      //$LASTPOS=12000041;//user.OK:41
      _this.vx=- 5;
      
      _thread.enter(function _trc_OK_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=12000048;//user.OK:48
          case 1:
            if (!(_this.vx<0)) { __pc=3     ; break; }
            //$LASTPOS=12000066;//user.OK:66
            _this.x+=_this.vx;
            //$LASTPOS=12000077;//user.OK:77
            _this.vx+=0.1;
            //$LASTPOS=12000090;//user.OK:90
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
            __pc=1;break;
          case 3     :
            
            //$LASTPOS=12000102;//user.OK:102
            _this.die();
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"vx":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Option',
  shortName: 'Option',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Option_main() {
      "use strict";
      var _this=this;
      var _it_72;
      
      //$LASTPOS=9000019;//user.Option:19
      _this.y=_this.pa.y;
      //$LASTPOS=9000027;//user.Option:27
      _this.scaleX=_this.pa.scaleX;
      //$LASTPOS=9000045;//user.Option:45
      _this.radius=_this.pa.radius;
      //$LASTPOS=9000063;//user.Option:63
      while (true) {
        Tonyu.checkLoop();
        //$LASTPOS=9000081;//user.Option:81
        _this.x=_this.pa.trail[_this.i];
        //$LASTPOS=9000100;//user.Option:100
        _it_72=Tonyu.iterator(_this.all(Tonyu.classes.user.Niku),1);
        while(_it_72.next()) {
          _this.w=_it_72[0];
          
          //$LASTPOS=9000131;//user.Option:131
          if (_this.w.vy>0&&_this.dist(_this.w)<_this.w.radius+_this.radius) {
            //$LASTPOS=9000184;//user.Option:184
            _this.w.bun();
            
          }
          
        }
        //$LASTPOS=9000241;//user.Option:241
        _this.update();
        
      }
    },
    fiber$main :function _trc_Option_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      var _it_72;
      
      //$LASTPOS=9000019;//user.Option:19
      _this.y=_this.pa.y;
      //$LASTPOS=9000027;//user.Option:27
      _this.scaleX=_this.pa.scaleX;
      //$LASTPOS=9000045;//user.Option:45
      _this.radius=_this.pa.radius;
      
      _thread.enter(function _trc_Option_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=9000063;//user.Option:63
          case 1:
            //$LASTPOS=9000081;//user.Option:81
            _this.x=_this.pa.trail[_this.i];
            //$LASTPOS=9000100;//user.Option:100
            _it_72=Tonyu.iterator(_this.all(Tonyu.classes.user.Niku),1);
            while(_it_72.next()) {
              _this.w=_it_72[0];
              
              //$LASTPOS=9000131;//user.Option:131
              if (_this.w.vy>0&&_this.dist(_this.w)<_this.w.radius+_this.radius) {
                //$LASTPOS=9000184;//user.Option:184
                _this.w.bun();
                
              }
              
            }
            //$LASTPOS=9000241;//user.Option:241
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
            __pc=1;break;
          case 3     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"pa":{},"i":{},"w":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Player',
  shortName: 'Player',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Player_main() {
      "use strict";
      var _this=this;
      var _it_76;
      
      //$LASTPOS=5000000;//user.Player:0
      _this.pad=new Tonyu.classes.kernel.APad;
      //$LASTPOS=5000014;//user.Player:14
      _this.p=Tonyu.globals.$pat_tomato;
      //$LASTPOS=5000029;//user.Player:29
      _this.scaleX=0.3;
      //$LASTPOS=5000041;//user.Player:41
      _this.radius=16;
      //$LASTPOS=5000052;//user.Player:52
      _this.trail=[];
      //$LASTPOS=5000062;//user.Player:62
      _this.dur=10;
      //$LASTPOS=5000070;//user.Player:70
      //$LASTPOS=5000075;//user.Player:75
      _this.i=0;for (; _this.i<Tonyu.globals.$opts*_this.dur ; _this.i++) {
        Tonyu.checkLoop();
        {
          //$LASTPOS=5000102;//user.Player:102
          if (_this.i%_this.dur==0) {
            //$LASTPOS=5000116;//user.Player:116
            new Tonyu.classes.user.Option({i: _this.i,pa: _this,p: _this.p+1+_this.floor(_this.i/_this.dur)});
          }
          //$LASTPOS=5000162;//user.Player:162
          _this.trail.push(_this.x);
        }
      }
      //$LASTPOS=5000179;//user.Player:179
      while (true) {
        Tonyu.checkLoop();
        //$LASTPOS=5000197;//user.Player:197
        _this.x+=_this.pad.vx*8;
        //$LASTPOS=5000214;//user.Player:214
        _this.trail.push(_this.x);
        //$LASTPOS=5000233;//user.Player:233
        _this.trail.shift();
        //$LASTPOS=5000252;//user.Player:252
        _this.x=_this.clamp(0,_this.x,465);
        //$LASTPOS=5000274;//user.Player:274
        _it_76=Tonyu.iterator(_this.all(Tonyu.classes.user.Niku),1);
        while(_it_76.next()) {
          _this.w=_it_76[0];
          
          //$LASTPOS=5000305;//user.Player:305
          if (_this.w.vy>0&&_this.dist(_this.w)<_this.w.radius+_this.radius) {
            //$LASTPOS=5000358;//user.Player:358
            _this.w.bun();
            
          }
          
        }
        //$LASTPOS=5000410;//user.Player:410
        _this.update();
        
      }
    },
    fiber$main :function _trc_Player_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      var _it_76;
      
      //$LASTPOS=5000000;//user.Player:0
      _this.pad=new Tonyu.classes.kernel.APad;
      //$LASTPOS=5000014;//user.Player:14
      _this.p=Tonyu.globals.$pat_tomato;
      //$LASTPOS=5000029;//user.Player:29
      _this.scaleX=0.3;
      //$LASTPOS=5000041;//user.Player:41
      _this.radius=16;
      //$LASTPOS=5000052;//user.Player:52
      _this.trail=[];
      //$LASTPOS=5000062;//user.Player:62
      _this.dur=10;
      //$LASTPOS=5000070;//user.Player:70
      //$LASTPOS=5000075;//user.Player:75
      _this.i=0;for (; _this.i<Tonyu.globals.$opts*_this.dur ; _this.i++) {
        Tonyu.checkLoop();
        {
          //$LASTPOS=5000102;//user.Player:102
          if (_this.i%_this.dur==0) {
            //$LASTPOS=5000116;//user.Player:116
            new Tonyu.classes.user.Option({i: _this.i,pa: _this,p: _this.p+1+_this.floor(_this.i/_this.dur)});
          }
          //$LASTPOS=5000162;//user.Player:162
          _this.trail.push(_this.x);
        }
      }
      
      _thread.enter(function _trc_Player_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=5000179;//user.Player:179
          case 1:
            //$LASTPOS=5000197;//user.Player:197
            _this.x+=_this.pad.vx*8;
            //$LASTPOS=5000214;//user.Player:214
            _this.trail.push(_this.x);
            //$LASTPOS=5000233;//user.Player:233
            _this.trail.shift();
            //$LASTPOS=5000252;//user.Player:252
            _this.x=_this.clamp(0,_this.x,465);
            //$LASTPOS=5000274;//user.Player:274
            _it_76=Tonyu.iterator(_this.all(Tonyu.classes.user.Niku),1);
            while(_it_76.next()) {
              _this.w=_it_76[0];
              
              //$LASTPOS=5000305;//user.Player:305
              if (_this.w.vy>0&&_this.dist(_this.w)<_this.w.radius+_this.radius) {
                //$LASTPOS=5000358;//user.Player:358
                _this.w.bun();
                
              }
              
            }
            //$LASTPOS=5000410;//user.Player:410
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
            __pc=1;break;
          case 3     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"pad":{},"trail":{},"dur":{},"i":{},"w":{}}}
});
Tonyu.klass.define({
  fullName: 'user.SelNiku',
  shortName: 'SelNiku',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_SelNiku_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=10000009;//user.SelNiku:9
      new Tonyu.classes.kernel.Label({template: "第$no 回あほげー作品",x: Tonyu.globals.$screenWidth/2,y: 50,size: 15,color: "white"});
      //$LASTPOS=10000127;//user.SelNiku:127
      new Tonyu.classes.kernel.Label({text: Tonyu.globals.$title,x: Tonyu.globals.$screenWidth/2,y: 100,size: 25,color: "white"});
      //$LASTPOS=10000234;//user.SelNiku:234
      new Tonyu.classes.kernel.Label({text: "あなたは，肉をどれくらい食べますか",x: Tonyu.globals.$screenWidth/2,y: 200,size: 25,color: "white"});
      //$LASTPOS=10000354;//user.SelNiku:354
      new Tonyu.classes.kernel.Button({text: "すごく",top: 250,fillStyle: "#a66",onClick: Tonyu.bindFunc(_this,_this.start),key: "3",nikus: 3});
      //$LASTPOS=10000478;//user.SelNiku:478
      new Tonyu.classes.kernel.Button({text: "ふつう",top: 300,fillStyle: "#a66",onClick: Tonyu.bindFunc(_this,_this.start),key: "2",nikus: 2});
      //$LASTPOS=10000603;//user.SelNiku:603
      new Tonyu.classes.kernel.Button({text: "すこし",top: 350,fillStyle: "#a66",onClick: Tonyu.bindFunc(_this,_this.start),key: "1",nikus: 1});
      //$LASTPOS=10000728;//user.SelNiku:728
      new Tonyu.classes.kernel.Button({text: "たべない",top: 400,fillStyle: "#a66",onClick: Tonyu.bindFunc(_this,_this.start),key: "0",nikus: 0});
    },
    fiber$main :function _trc_SelNiku_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=10000009;//user.SelNiku:9
      new Tonyu.classes.kernel.Label({template: "第$no 回あほげー作品",x: Tonyu.globals.$screenWidth/2,y: 50,size: 15,color: "white"});
      //$LASTPOS=10000127;//user.SelNiku:127
      new Tonyu.classes.kernel.Label({text: Tonyu.globals.$title,x: Tonyu.globals.$screenWidth/2,y: 100,size: 25,color: "white"});
      //$LASTPOS=10000234;//user.SelNiku:234
      new Tonyu.classes.kernel.Label({text: "あなたは，肉をどれくらい食べますか",x: Tonyu.globals.$screenWidth/2,y: 200,size: 25,color: "white"});
      //$LASTPOS=10000354;//user.SelNiku:354
      new Tonyu.classes.kernel.Button({text: "すごく",top: 250,fillStyle: "#a66",onClick: Tonyu.bindFunc(_this,_this.start),key: "3",nikus: 3});
      //$LASTPOS=10000478;//user.SelNiku:478
      new Tonyu.classes.kernel.Button({text: "ふつう",top: 300,fillStyle: "#a66",onClick: Tonyu.bindFunc(_this,_this.start),key: "2",nikus: 2});
      //$LASTPOS=10000603;//user.SelNiku:603
      new Tonyu.classes.kernel.Button({text: "すこし",top: 350,fillStyle: "#a66",onClick: Tonyu.bindFunc(_this,_this.start),key: "1",nikus: 1});
      //$LASTPOS=10000728;//user.SelNiku:728
      new Tonyu.classes.kernel.Button({text: "たべない",top: 400,fillStyle: "#a66",onClick: Tonyu.bindFunc(_this,_this.start),key: "0",nikus: 0});
      
      _thread.retVal=_this;return;
    },
    start :function _trc_SelNiku_start(b) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=10001148;//user.SelNiku:1148
      Tonyu.globals.$nikus=b.nikus;
      //$LASTPOS=10001168;//user.SelNiku:1168
      new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Main});
    },
    fiber$start :function _trc_SelNiku_f_start(_thread,b) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=10001148;//user.SelNiku:1148
      Tonyu.globals.$nikus=b.nikus;
      //$LASTPOS=10001168;//user.SelNiku:1168
      new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Main});
      
      _thread.retVal=_this;return;
    },
    toggleSound :function _trc_SelNiku_toggleSound() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=10001230;//user.SelNiku:1230
      Tonyu.globals.$sound.mute=! Tonyu.globals.$sound.mute;
      //$LASTPOS=10001260;//user.SelNiku:1260
      _this.sb.text=Tonyu.globals.$sound.mute?"Sound:OFF":"Sound:ON";
      //$LASTPOS=10001311;//user.SelNiku:1311
      Tonyu.globals.$sound.playSE(Tonyu.globals.$se_coin);
    },
    fiber$toggleSound :function _trc_SelNiku_f_toggleSound(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=10001230;//user.SelNiku:1230
      Tonyu.globals.$sound.mute=! Tonyu.globals.$sound.mute;
      //$LASTPOS=10001260;//user.SelNiku:1260
      _this.sb.text=Tonyu.globals.$sound.mute?"Sound:OFF":"Sound:ON";
      //$LASTPOS=10001311;//user.SelNiku:1311
      Tonyu.globals.$sound.playSE(Tonyu.globals.$se_coin);
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"start":{"nowait":false},"toggleSound":{"nowait":false}},"fields":{"sb":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Setting',
  shortName: 'Setting',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Setting_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=6000027;//user.Setting:27
      Tonyu.globals.$no=26;
      //$LASTPOS=6000035;//user.Setting:35
      Tonyu.globals.$theme="<<第"+Tonyu.globals.$no+"回のテーマ>>";
      //$LASTPOS=6000134;//user.Setting:134
      Tonyu.globals.$title="肉の吸収を抑える効果";
      //$LASTPOS=6000155;//user.Setting:155
      Tonyu.globals.$author="hoge1e3";
      //$LASTPOS=6000174;//user.Setting:174
      Tonyu.globals.$subTheme="<<テーマに関連する何か>>";
      //$LASTPOS=6000202;//user.Setting:202
      Tonyu.globals.$story="あなたは"+Tonyu.globals.$theme+"が好きなので，\n"+Tonyu.globals.$theme+"を集めよう!\n"+Tonyu.globals.$subTheme+"は集めるなよ！";
      //$LASTPOS=6000311;//user.Setting:311
      Tonyu.globals.$url="https://www.tonyu.jp/project/viewProject.cgi?mainkey=775";
      //$LASTPOS=6000376;//user.Setting:376
      Tonyu.globals.$sound.mute=false;
      //$LASTPOS=6000400;//user.Setting:400
      Tonyu.globals.$opts=8;
      //$LASTPOS=6000409;//user.Setting:409
      Tonyu.globals.$nikus=1;
      //$LASTPOS=6000419;//user.Setting:419
      Tonyu.globals.$ihc1=new Tonyu.classes.kernel.Color(200,100,150);
      //$LASTPOS=6000449;//user.Setting:449
      Tonyu.globals.$ihc2=new Tonyu.classes.kernel.Color(255,200,200);
      //$LASTPOS=6000479;//user.Setting:479
      Tonyu.globals.$ihc3=new Tonyu.classes.kernel.Color(255,230,230);
      //$LASTPOS=6000525;//user.Setting:525
      _this.loadPage(Tonyu.classes.user.Title);
    },
    fiber$main :function _trc_Setting_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=6000027;//user.Setting:27
      Tonyu.globals.$no=26;
      //$LASTPOS=6000035;//user.Setting:35
      Tonyu.globals.$theme="<<第"+Tonyu.globals.$no+"回のテーマ>>";
      //$LASTPOS=6000134;//user.Setting:134
      Tonyu.globals.$title="肉の吸収を抑える効果";
      //$LASTPOS=6000155;//user.Setting:155
      Tonyu.globals.$author="hoge1e3";
      //$LASTPOS=6000174;//user.Setting:174
      Tonyu.globals.$subTheme="<<テーマに関連する何か>>";
      //$LASTPOS=6000202;//user.Setting:202
      Tonyu.globals.$story="あなたは"+Tonyu.globals.$theme+"が好きなので，\n"+Tonyu.globals.$theme+"を集めよう!\n"+Tonyu.globals.$subTheme+"は集めるなよ！";
      //$LASTPOS=6000311;//user.Setting:311
      Tonyu.globals.$url="https://www.tonyu.jp/project/viewProject.cgi?mainkey=775";
      //$LASTPOS=6000376;//user.Setting:376
      Tonyu.globals.$sound.mute=false;
      //$LASTPOS=6000400;//user.Setting:400
      Tonyu.globals.$opts=8;
      //$LASTPOS=6000409;//user.Setting:409
      Tonyu.globals.$nikus=1;
      //$LASTPOS=6000419;//user.Setting:419
      Tonyu.globals.$ihc1=new Tonyu.classes.kernel.Color(200,100,150);
      //$LASTPOS=6000449;//user.Setting:449
      Tonyu.globals.$ihc2=new Tonyu.classes.kernel.Color(255,200,200);
      //$LASTPOS=6000479;//user.Setting:479
      Tonyu.globals.$ihc3=new Tonyu.classes.kernel.Color(255,230,230);
      //$LASTPOS=6000525;//user.Setting:525
      _this.loadPage(Tonyu.classes.user.Title);
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Target',
  shortName: 'Target',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.BodyActor,
  includes: [],
  methods: {
    main :function _trc_Target_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=7000020;//user.Target:20
      _this.p=Tonyu.globals.$pat_ahoge26+1;
      //$LASTPOS=7000038;//user.Target:38
      _this.radius=16;
      //$LASTPOS=7000050;//user.Target:50
      while (true) {
        Tonyu.checkLoop();
        //$LASTPOS=7000094;//user.Target:94
        if (_this.screenOut()) {
          //$LASTPOS=7000111;//user.Target:111
          _this.die();
        }
        //$LASTPOS=7000122;//user.Target:122
        _this.update();
        
      }
    },
    fiber$main :function _trc_Target_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=7000020;//user.Target:20
      _this.p=Tonyu.globals.$pat_ahoge26+1;
      //$LASTPOS=7000038;//user.Target:38
      _this.radius=16;
      
      _thread.enter(function _trc_Target_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=7000050;//user.Target:50
          case 1:
            //$LASTPOS=7000094;//user.Target:94
            if (_this.screenOut()) {
              //$LASTPOS=7000111;//user.Target:111
              _this.die();
            }
            //$LASTPOS=7000122;//user.Target:122
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
            __pc=1;break;
          case 3     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Title',
  shortName: 'Title',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Title_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=8000009;//user.Title:9
      new Tonyu.classes.kernel.Label({template: "第$no 回あほげー作品",x: Tonyu.globals.$screenWidth/2,y: 50,size: 15,color: "white"});
      //$LASTPOS=8000127;//user.Title:127
      new Tonyu.classes.kernel.Label({text: Tonyu.globals.$title,x: Tonyu.globals.$screenWidth/2,y: 100,size: 25,color: "white"});
      //$LASTPOS=8000234;//user.Title:234
      new Tonyu.classes.kernel.Label({text: "あなたは，サラダをどれくらい食べますか",x: Tonyu.globals.$screenWidth/2,y: 200,size: 20,color: "white"});
      //$LASTPOS=8000356;//user.Title:356
      new Tonyu.classes.kernel.Button({text: "すごく",top: 250,onClick: Tonyu.bindFunc(_this,_this.start),key: "3",opts: 8});
      //$LASTPOS=8000457;//user.Title:457
      new Tonyu.classes.kernel.Button({text: "ふつう",top: 300,onClick: Tonyu.bindFunc(_this,_this.start),key: "2",opts: 5});
      //$LASTPOS=8000559;//user.Title:559
      new Tonyu.classes.kernel.Button({text: "すこし",top: 350,onClick: Tonyu.bindFunc(_this,_this.start),key: "1",opts: 2});
      //$LASTPOS=8000661;//user.Title:661
      new Tonyu.classes.kernel.Button({text: "たべない",top: 400,onClick: Tonyu.bindFunc(_this,_this.start),key: "0",opts: - 1});
      //$LASTPOS=8000769;//user.Title:769
      _this.sb=new Tonyu.classes.kernel.Label({text: "Sound:ON",y: 0,x: 250,size: 20});
      //$LASTPOS=8000818;//user.Title:818
      _this.sb.text=Tonyu.globals.$sound.mute?"Sound:OFF":"Sound:ON";
      //$LASTPOS=8000869;//user.Title:869
      new Tonyu.classes.kernel.Button({text: "On↔Off",left: 320,top: 0,width: 100,height: 30,onClick: Tonyu.bindFunc(_this,_this.toggleSound)});
    },
    fiber$main :function _trc_Title_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=8000009;//user.Title:9
      new Tonyu.classes.kernel.Label({template: "第$no 回あほげー作品",x: Tonyu.globals.$screenWidth/2,y: 50,size: 15,color: "white"});
      //$LASTPOS=8000127;//user.Title:127
      new Tonyu.classes.kernel.Label({text: Tonyu.globals.$title,x: Tonyu.globals.$screenWidth/2,y: 100,size: 25,color: "white"});
      //$LASTPOS=8000234;//user.Title:234
      new Tonyu.classes.kernel.Label({text: "あなたは，サラダをどれくらい食べますか",x: Tonyu.globals.$screenWidth/2,y: 200,size: 20,color: "white"});
      //$LASTPOS=8000356;//user.Title:356
      new Tonyu.classes.kernel.Button({text: "すごく",top: 250,onClick: Tonyu.bindFunc(_this,_this.start),key: "3",opts: 8});
      //$LASTPOS=8000457;//user.Title:457
      new Tonyu.classes.kernel.Button({text: "ふつう",top: 300,onClick: Tonyu.bindFunc(_this,_this.start),key: "2",opts: 5});
      //$LASTPOS=8000559;//user.Title:559
      new Tonyu.classes.kernel.Button({text: "すこし",top: 350,onClick: Tonyu.bindFunc(_this,_this.start),key: "1",opts: 2});
      //$LASTPOS=8000661;//user.Title:661
      new Tonyu.classes.kernel.Button({text: "たべない",top: 400,onClick: Tonyu.bindFunc(_this,_this.start),key: "0",opts: - 1});
      //$LASTPOS=8000769;//user.Title:769
      _this.sb=new Tonyu.classes.kernel.Label({text: "Sound:ON",y: 0,x: 250,size: 20});
      //$LASTPOS=8000818;//user.Title:818
      _this.sb.text=Tonyu.globals.$sound.mute?"Sound:OFF":"Sound:ON";
      //$LASTPOS=8000869;//user.Title:869
      new Tonyu.classes.kernel.Button({text: "On↔Off",left: 320,top: 0,width: 100,height: 30,onClick: Tonyu.bindFunc(_this,_this.toggleSound)});
      
      _thread.retVal=_this;return;
    },
    start :function _trc_Title_start(b) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=8001047;//user.Title:1047
      Tonyu.globals.$opts=b.opts;
      //$LASTPOS=8001065;//user.Title:1065
      new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.SelNiku});
    },
    fiber$start :function _trc_Title_f_start(_thread,b) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=8001047;//user.Title:1047
      Tonyu.globals.$opts=b.opts;
      //$LASTPOS=8001065;//user.Title:1065
      new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.SelNiku});
      
      _thread.retVal=_this;return;
    },
    toggleSound :function _trc_Title_toggleSound() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=8001130;//user.Title:1130
      Tonyu.globals.$sound.mute=! Tonyu.globals.$sound.mute;
      //$LASTPOS=8001160;//user.Title:1160
      _this.sb.text=Tonyu.globals.$sound.mute?"Sound:OFF":"Sound:ON";
      //$LASTPOS=8001211;//user.Title:1211
      Tonyu.globals.$sound.playSE(Tonyu.globals.$se_coin);
    },
    fiber$toggleSound :function _trc_Title_f_toggleSound(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=8001130;//user.Title:1130
      Tonyu.globals.$sound.mute=! Tonyu.globals.$sound.mute;
      //$LASTPOS=8001160;//user.Title:1160
      _this.sb.text=Tonyu.globals.$sound.mute?"Sound:OFF":"Sound:ON";
      //$LASTPOS=8001211;//user.Title:1211
      Tonyu.globals.$sound.playSE(Tonyu.globals.$se_coin);
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"start":{"nowait":false},"toggleSound":{"nowait":false}},"fields":{"sb":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Veg',
  shortName: 'Veg',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Veg_main() {
      "use strict";
      var _this=this;
      
    },
    fiber$main :function _trc_Veg_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});

//# sourceMappingURL=concat.js.map